Skip to navigation

Members Set Profile

View as Markdown

Updates a team member’s profile.

Permission : Team member management.

Required scope: members.write

Endpoint format: RPC

Authentication: Team

Authentication

AuthorizationBearer

Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use Authorization: Bearer <token>.

Obtain via the authorization code flow with team-scoped permissions.

Grants access to team-wide administrative operations.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Request

This endpoint expects an object.
userobjectRequired
Identity of user whose profile will be set.
Variant:
team.UserSelectorArg.team_member_idobjectRequired
new_emailstring or nullOptionalformat: "^['#&A-Za-z0-9._%+-]+@[A-Za-z0-9-][A-Za-z0-9.-]*\.[A-Za-z]{2,15}$"<=255 characters
New email for member.
new_external_idstring or nullOptional<=64 characters
New external ID for member.
new_given_namestring or nullOptionalformat: "[^\/:?*<>\"|]*"<=50 characters
New given name for member.
new_is_directory_restrictedboolean or nullOptional
New value for whether the user is a directory restricted user.
new_persistent_idstring or nullOptional
New persistent ID. This field only available to teams using persistent ID SAML configuration.
new_surnamestring or nullOptionalformat: "[^\/:?*<>\"|]*"<=50 characters
New surname for member.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
profileobject
Profile of a user as a member of a team.
roleobject
The user's role in the team.
Variant:
team.AdminTier.team_adminobject

User is an administrator of the team - has all permissions.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error